Skip to main content
POST
/
v1
/
routes
/
dispatch
Dispatch Routes
curl --request POST \
  --url https://api.sandbox.usenash.com/v1/routes/dispatch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "routeIds": [
    "<string>"
  ],
  "autoDispatch": true
}
'
{
  "jobs": [
    {
      "id": "<string>",
      "portalUrl": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Input for dispatching routes to jobs.

routeIds
string[]
required

Route IDs to dispatch

autoDispatch
boolean
default:true

Automatically dispatch to provider (default: true)

Response

OK

Response payload for dispatching routes.

jobs
DispatchedJobSerializer · object[]
required

Jobs created from the dispatched routes.